require 'rails/generators'

module ProxyAuth
  # Proxy Auth Generator
  class InstallGenerator < Rails::Generators::Base
    source_root(File.expand_path(__dir__ + '/templates'))

    def copy_initializer
      destination = "#{Rails.root}/config/initializers/proxy_auth.rb"
      copy_file 'initializer.rb', destination
    end
  end
end
