namespace :proxy_auth do
  desc 'Connect to proxy'
  task register_service: :environment do
    secrets = Rails.application.secrets

    url = secrets.service['url']
    uri = URI.parse(url)
    http = Net::HTTP.new(uri.host, uri.port)

    login = secrets.admin_login
    password = secrets.admin_password
    encoder = ActionController::HttpAuthentication::Basic
    authorization = encoder.encode_credentials(login, password)
    headers = { 'Authorization' => authorization }

    http.post('/proxy/register_service', nil, headers)
  end
end
