module ProxyAuth
  # management methods used for server maintenance
  class RegisterServicesController < ApplicationController
    before_action :authenticate

    def create
      ProxyAuth::Token.instance.register_service
      head :ok
    end

    private

    def authenticate
      authenticate_with_http_basic do |user, password|
        secrets = Rails.application.secrets
        secrets.admin_login == user && secrets.admin_password == password
      end
    end
  end
end
